TRAPER(3F)

NAME
traper - trap arithmetic errors

SYNOPSIS
integer function traper (mask)

DESCRIPTION
NOTE: This routine applies only to the VAX. It is ignored on the PDP11.

Integer overflow and floating point underflow are not normally trapped during execution. This routine enables these traps by setting status bits in the process status word. These bits are reset on entry to a subprogram, and the previous state is restored on return. Therefore, this routine must be called inside each subprogram in which these conditions should be trapped. If the condition occurs and trapping is enabled, signal SIGFPE is sent to the process. (See signal(3C))

The argument has the following meaning:
        value   meaning
          0     do not trap either condition
          1     trap integer overflow only
          2     trap floating underflow only
          3     trap both the above
The previous value of these bits is returned.

FILES
/usr/lib/libF77.a

SEE ALSO
signal(3C), signal(3F)